For the complete documentation index, see llms.txt. This page is also available as Markdown.

Variants

List Variants

get

Returns the active variants matching the required filter[externalId] filter.

Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate API token.

Query parameters
filter[externalId]stringRequired

A comma-separated list of Shopify external variant IDs to fetch (maximum 50).

viewerFieldsstring · nullableOptional
perPageinteger · min: 1 · max: 100Optional

Results per page (1–100).

fields[variants]stringOptional

Available values are externalId, displayName, title, price, photoUrl. You can include multiple values by separating them with a comma.

fields[auction-items]stringOptional

Available values are startPrice, bidIncrementStrategy, automaticBidding, softClose, totalBids, highBidAmount, minimumBid, currentIncrement, startsAt, endsAt, position, status, enableReserve, reserveMet, processed, createdAt, updatedAt, canceledAt. You can include multiple values by separating them with a comma.

fields[products]stringOptional

Available values are externalId, title, vendor, type, photoUrl, handle. You can include multiple values by separating them with a comma.

fields[bids]stringOptional

Available values are amount, placedAt. You can include multiple values by separating them with a comma.

includestringOptional

Comma-separated list of related resources to include in the response. Available values: product, currentAuctionItem, currentAuctionItem.highBid, currentAuctionItem.highBid.customer.

Responses
200

Paginated set of VariantResource

application/vnd.api+json
get/variants
GET /storefront/v1/variants?filter[externalId]=text HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "type": "text",
      "attributes": {
        "externalId": null,
        "displayName": "text",
        "title": null,
        "price": {
          "value": 1,
          "major": "text",
          "display": "text",
          "currency": "text"
        },
        "photoUrl": null
      },
      "relationships": {
        "currentAuctionItem": {
          "data": {
            "type": "auction-items",
            "id": "text"
          }
        },
        "product": {
          "data": {
            "type": "products",
            "id": "text"
          }
        }
      }
    }
  ],
  "meta": {
    "currentPage": 1,
    "from": null,
    "lastPage": 1,
    "perPage": 1,
    "to": null,
    "total": 1
  }
}

Last updated